import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart'; // Import screenutil
import '../screens/login_screen.dart';

class LoginPanel extends StatelessWidget {
  const LoginPanel({super.key});

  @override
  Widget build(BuildContext context) {
    return Container(
      width: double.infinity,
      color: const Color(0xFFFF7500),
      padding: EdgeInsets.fromLTRB(40.w, 0, 40.w, 40.h),
      child: Column(
        mainAxisSize: MainAxisSize.min,
        mainAxisAlignment: MainAxisAlignment.center,
        children: [
          Text(
            '간편한 반려생활을 위한 첫걸음,\nRUP에 오신것을 환영합니다!',
            style: TextStyle(
              fontSize: 12.sp,
              fontFamily: 'SCDream',
              fontWeight: FontWeight.w500,
              color: Colors.black,
            ),
            textAlign: TextAlign.center,
          ),
          SizedBox(height: 30.h),
          SizedBox(
            width: double.infinity,
            child: ElevatedButton(
              onPressed: () {
                Navigator.push(
                  context,
                  MaterialPageRoute(builder: (context) => const LoginScreen()),
                );
              },
              style: ElevatedButton.styleFrom(
                backgroundColor: Colors.white,
                shape: const StadiumBorder(),
                padding: EdgeInsets.all(15.w),
              ),
              child: Stack(
                alignment: Alignment.center,
                children: [
                  Align(
                    alignment: Alignment.center,
                    child: Text(
                      '시작하기',
                      style: TextStyle(
                        fontFamily: 'SCDream',
                        fontWeight: FontWeight
                            .bold, // Fixed typo in previous code if any, bold is correct
                        fontSize: 14.sp, // Added font size
                        color: Colors.black,
                      ),
                    ),
                  ),
                ],
              ),
            ),
          ),
        ],
      ),
    );
  }
}
